#!/bin/bash

. /opt/edge/rc.setenv 

wd=/opt/edge/libexec/report
dd=/var/opt/edge/report/crossing

if [ $# -eq 0 ] 
then
    echo "Usage $0 <days>"
    exit 1
fi

a=(`date +"%Y %m %d"`)
y1=${a[0]}
m1=${a[1]}
d1=${a[2]}
a=(`date -d "-${1}day" +"%Y %m %d"`)
y2=${a[0]}
m2=${a[1]}
d2=${a[2]}

for y in `ls $dd/`
do
    if [[ $y < $y2 ]]
    then
        rm -rf  "$dd/$y"
    elif [[ $y == $y2 ]]
    then
        for m in `ls $dd/$y/`
        do
            if [[ $m < $m2 ]]
            then
                rm -rf "$dd/$y/$m"
            elif [[ $m == $m2 ]]
            then
                for d in `ls $dd/$y/$m/`
                do
                    if [[ $d < $d2 ]]
                    then
                        rm -rf "$dd/$y/$m/$d"
                    fi
                done
            fi    
        done
    fi
done



